import base64
from io import BytesIO

import cv2
import numpy as np
from PIL import Image


class ImageConvertor:
    def __init__(self):
        pass

    def image_to_base64(self, image_path):
        """
        将指定路径的图片转换为base64字符串
        :param image_path: 图片路径
        :return: base64字符串
        """
        with open(image_path, "rb") as f:
            im_b64 = base64.b64encode(f.read())
        return im_b64.decode('utf-8')

    def base64_to_image(self, base64_str):
        """
        Base64字符串转Pillow格式的图片
        :param base64_str: base64字符串
        :return: Pillow的Image
        """
        byte_data = base64.b64decode(base64_str)
        image_data = BytesIO(byte_data)
        img = Image.open(image_data)
        return cv2.cvtColor(np.array(img), cv2.COLOR_RGB2BGR)
